> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Send a message to an existing Devin session to provide additional instructions or information.

# Send a message to a session



## OpenAPI

````yaml /v1-openapi.yaml POST /v1/sessions/{session_id}/message
openapi: 3.1.0
info:
  description: Devin v1 API with Personal and Service API Keys
  title: Devin API v1
  version: 1.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v1/sessions/{session_id}/message:
    post:
      summary: Send a message to a session
      description: >-
        Send a message to an active Devin session. The session must be in a
        running state to receive messages. Returns null on success, or a detail
        message if the session is already suspended.
      operationId: post_message_to_session_v1_sessions__session_id__message_post
      parameters:
        - in: path
          name: session_id
          required: true
          schema:
            title: Session Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PostMessageParams'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/MessageSentResponse'
                  - type: 'null'
                title: >-
                  Response Post Message To Session V1 Sessions  Session Id 
                  Message Post
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    PostMessageParams:
      properties:
        message:
          title: Message
          type: string
      required:
        - message
      title: PostMessageParams
      type: object
    MessageSentResponse:
      description: >-
        Response when a message is sent to a session that is already in a
        specific state.
      properties:
        detail:
          title: Detail
          type: string
      required:
        - detail
      title: MessageSentResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: Personal API Key (apk_user_*) or Service API Key (apk_*)
      scheme: bearer
      type: http

````